#include "indicadorled.h"
#include "ui_indicadorled.h"

IndicadorLed::IndicadorLed(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::IndicadorLed)
{
    ui->setupUi(this);
    //vSetLabelColor(ui->lbW,Qt::darkGray,Qt::darkGray);
    vSetLabelColor(ui->lbW,Qt::lightGray,Qt::lightGray);
    vSetLabelColor(ui->lbR,Qt::darkRed,Qt::darkRed);
    vSetLabelColor(ui->lbY,Qt::darkYellow,Qt::darkYellow);
    vSetLabelColor(ui->lbG,Qt::darkGreen,Qt::darkGreen);
}

IndicadorLed::~IndicadorLed()
{
    delete ui;
}

void IndicadorLed::vSetLabelColor(QLabel* et,QColor col, QColor rerefons){
    QPixmap *pix = new QPixmap(22,22);
    QPainter *paint = new QPainter(pix);
    //paint->setBrush(Qt::darkGreen);
    paint->setBrush(rerefons);
    paint->drawRect(0, 0, 21, 21);
    //paint->setBrush(Qt::green);&QTimer::timeout
    paint->setBrush(col);
    paint->setPen(Qt::white);
    paint->drawEllipse(5, 5, 10, 10);
    et->setPixmap(*pix);
}

void IndicadorLed::on_cbW_clicked(bool checked)
{
    //vSetLabelColor(ui->lbW,(checked)?Qt::lightGray:Qt::darkGray,Qt::darkGray);
    vSetLabelColor(ui->lbW,(checked)?Qt::white:Qt::lightGray,Qt::lightGray);
}

void IndicadorLed::on_cbR_clicked(bool checked)
{
    vSetLabelColor(ui->lbR,(checked)?Qt::red:Qt::darkRed,Qt::darkRed);
}

void IndicadorLed::on_cbY_clicked(bool checked)
{
    vSetLabelColor(ui->lbY,(checked)?Qt::yellow:Qt::darkYellow,Qt::darkYellow);
}

void IndicadorLed::on_cbG_clicked(bool checked)
{
    vSetLabelColor(ui->lbG,(checked)?Qt::green:Qt::darkGreen,Qt::darkGreen);
}
